LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
BooleanComparisonMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.

## Constant Groups
constants | com::sun::star::sdb::BooleanComparisonMode
| specifies different mode how boolean comparison predicates are to be generated by a SingleSelectQueryComposer.

## Variables
const long | EQUAL_INTEGER = 0
| denotes the default comparison
const long | IS_LITERAL = 1
| requires to use `IS boolean_literal` for boolean comparison.
const long | EQUAL_LITERAL = 2
| requires to use `= boolean_literal` for boolean comparison.
const long | ACCESS_COMPAT = 3
| requires to use an Microsoft Access compatible syntax for boolean comparison.